Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECPoint.Fp

    java.lang.Object
      |
      +--org.bouncycastle.math.ec.ECPoint
            |
            +--org.bouncycastle.math.ec.ECPoint.Fp

Enclosing class:
  ECPoint

public static class ECPoint.Fp
extends ECPoint

Elliptic curve points over Fp

Inner classes inherited from class org.bouncycastle.math.ec.ECPoint
`ECPoint.F2m, ECPoint.Fp`

Constructor Summary
`ECPoint.Fp(ECCurve curve, ECFieldElement x, ECFieldElement y)` Create a point which encodes with point compression.
`ECPoint.Fp(ECCurve curve, ECFieldElement x, ECFieldElement y, boolean withCompression)` Create a point that encodes with or without point compresion.

Method Summary
`ECPoint` | `add(ECPoint b)`
`byte[]` | `getEncoded()` return the field element encoded with point compression.
`ECPoint` | `multiply(java.math.BigInteger k)`
`ECPoint` | `subtract(ECPoint p2)`
`ECPoint` | `twice()`

Methods inherited from class org.bouncycastle.math.ec.ECPoint
`equals, getCurve, getX, getY`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPoint.Fp

    public ECPoint.Fp(ECCurve curve,
                      ECFieldElement x,
                      ECFieldElement y)

  Create a point which encodes with point compression.
  Parameters:
    `curve` - the curve to use
    `x` - affine x co-ordinate
    `y` - affine y co-ordinate

### ECPoint.Fp

    public ECPoint.Fp(ECCurve curve,
                      ECFieldElement x,
                      ECFieldElement y,
                      boolean withCompression)

  Create a point that encodes with or without point compresion.
  Parameters:
    `curve` - the curve to use
    `x` - affine x co-ordinate
    `y` - affine y co-ordinate
    `withCompression` - if true encode with point compression

Method Detail

### getEncoded

    public byte[] getEncoded()

  return the field element encoded with point compression. (S 4.3.6)
  Overrides:
    `getEncoded` in class `ECPoint`

### add

    public ECPoint add(ECPoint b)

  Overrides:
    `add` in class `ECPoint`

### twice

    public ECPoint twice()

  Overrides:
    `twice` in class `ECPoint`

### subtract

    public ECPoint subtract(ECPoint p2)

  Overrides:
    `subtract` in class `ECPoint`

### multiply

    public ECPoint multiply(java.math.BigInteger k)

  Overrides:
    `multiply` in class `ECPoint`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD